Bug 296151 - Easy DoS by setroubleshootd
Easy DoS by setroubleshootd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot (Show other bugs)
5.0
All Linux
low Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 08:17 EDT by Milan Kerslager
Modified: 2011-05-25 11:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-25 11:01:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2007-09-19 08:17:18 EDT
Setroubleshood eats a lot of memory causing OOM. Attacker is able to perform a
lot of HTTP requests with permission denied messages by SELinux and running
setroubleshootd daemon will eats all available memory (2GB RAM + 4GB in swap in
my case).
Comment 1 John Dennis 2008-01-09 18:50:13 EST
This problem should be addressed by the new setroubleshoot 2.0 series scheduled
for inclusion in the RHEL 5.2 update.

Note You need to log in before you can comment on or make changes to this bug.